[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# UnicodeCharToString

Convert Unicode character to string

## Declaration

Source position: ustringh.inc line 46

`function UnicodeCharToString(`
`S: PUnicodeChar`
`):UnicodeString;`

## Description

UnicodeCharToString converts a null-word-terminated array of Unicode characters in S to a Unicode string value. It simply calls UnicodeCharLenToString with the length of the string S.

This function requires the use of a widestring manager.

## Errors

No checking is done to see if the pointer S is valid.

## See also

StringToUnicodeChar |  | Convert an ansistring to a null-terminated array of Unicode characters.
UnicodeCharLenToString |  | Convert a memory buffer with Unicode characters to a unicodestring
WidestringManager |  | Current widestring manager.